EST <-
function(res, K, kap){
	# convert nlminb results to parameters
	x <- res$par
	theta <- exp( x[1] )/(1+exp(x[1]) )
        alpha <- exp(x[2])/(exp(x[2])+1)
        beta <- exp(x[3:6])/(exp(x[3:6])+1)
        gamma <- exp(x[7:10])/(exp(x[7:10])+1)
        omega <- exp(x[11])/(exp(x[11])+1)
        nu <- exp(x[12])
	est <- c( theta, alpha, beta, gamma, omega, nu, -res$objective )
	names(est) <- c("theta","alpha","beta1","beta2","beta3","beta4",
		"gamma1","gamma2","gamma3","gamma4","omega", "nu", "logpost" )
	return(est)}
