Error <-
function(theta,alpha, beta, gamma, omega, nu, K, kap)
 {
	# compute FP and FN Error rates
        lambda <- K * theta * nu
        Gam <- pgamma(-log(omega),shape=4)
        detectn <- .F(gamma, omega=omega, K=K, m=1)
        confirm <- .F(gamma, omega=omega/4, K=K, m=4)
	bone <- .H(detectn %o% confirm, kap, lambda)

 ##### ALT genes
	x1A1 <- polynomial(c(1-beta, (alpha+beta -1)*Gam))
	x1A0 <- polynomial(c(1-beta,  alpha+beta -1))
	
        yA1 <- polynomial(c(1-beta, (alpha+beta -1) * (1-omega)))
	yA0 <- polynomial(c(1-beta,  alpha+beta -1))
	y1A1 <- 1 - (1-yA1)^4 - 4*(1-yA1)^3*yA1
	y1A0 <- 1 - (1-yA0)^4 - 4*(1-yA0)^3*yA0

	p11 <- gamma*(coef(x1A1) %o% coef(y1A1))+(1-gamma)*(coef(x1A0) %o% coef(y1A0))
	
 p11.a <- sum(p11 * bone)

 ##### NULL genes
 	x1 <- polynomial(c(1-beta, alpha+beta-1))
	x0 <- 1-x1

	yA <- polynomial(c(1-beta, alpha+beta-1))
	y1 <- 1 - (1-yA)^4 - 4*(1-yA)^3*yA
        y0 <- 1-y1

	p11 <- coef(x1) %o% coef(y1)

 p11.n <- sum(p11 * bone)

 A <- p11.n*(1-theta)
 B <- p11.a*theta
 FDR <- A/(A+B)

 A <- (1-p11.a)*theta
 B <- (1-p11.n)*(1-theta)
 FNDR <- A/(A+B)
 
 TP <- p11.a
 TN <- 1-p11.n
 
 err <- c(FDR, FNDR, TP, TN)
 names(err) <- c('FDR', 'FNDR', 'TP', 'TN')
 return(err)
}
