nlogpost4 <-
function(x,K,kap,counts)
     {
	## (negative) log posterior, flat prior; to be used in optimization; 
	## version 4: just one beta and one gamma [for simulation]
       theta <- exp(x[1])/(exp(x[1])+1)
       alpha <- exp(x[2])/(exp(x[2])+1)
       beta <- rep( exp(x[3])/(exp(x[3])+1), 4 )
       gamma <- rep( exp(x[4])/(exp(x[4])+1), 4 )
       omega <- exp(x[5])/(exp(x[5])+1)
       nu <- exp(x[6] )
      ll <- loglik(theta, alpha, beta, gamma, omega, nu, K,kap, counts)
      lpost <- ll 
      return(-lpost)
      }
